Subject: bug#5238: 23.1.50; gzip: stdout: Broken pipe

From: Jan Djärv <[email-masked]>
Date: Fri, 11 Feb 2011 15:30:28 +0100

2010-11-14 23:00, Juri Linkov skrev:
>>> 1. emacs -Q
>>> 2. M-! locale -m RET
>>>
>>> Fails for Emacs 23, but not for Emacs 22 or Emacs 23 run with -nw.
>>
>> I can't reproduce this anymore, so presumably this old bug is fixed.
>> Juri, could you confirm?
>
> I still can reproduce this bug on the newest Ubuntu version 10.10 and
> GNU Emacs 24.0.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.22.0) of 2010-10-22
>
>

Your shell ignores SIGPIPE for interactive sessions.  Gzip checks if SIGPIPE 
is ignored, and if it is not, installs a signal handler that prints "gzip: 
stdout: Broken pipe".  Try
M-! bash -i -c 'locale -m' RET

That gives some job and terminal control errors from the shell, but no gzip 
messages.  I don't know if ignoring SIGPIPE for subprocesses is the right 
thing for Emacs to do.

	Jan D.